OpenTTD: src/depot_map.h File Reference

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
depot_map.h File Reference

Map related accessors for depots. More...

`#include "station_map.h"`

Go to the source code of this file.

## Functions
static bool | IsDepotTypeTile (TileIndex tile, TransportType type)
| Check if a tile is a depot and it is a depot of the given type.
static bool | IsDepotTile (TileIndex tile)
| Is the given tile a tile with a depot on it?
static DepotID | GetDepotIndex (TileIndex t)
| Get the index of which depot is attached to the tile.
static VehicleType | GetDepotVehicleType (TileIndex t)
| Get the type of vehicles that can use a depot.

## Detailed Description

Map related accessors for depots.

Definition in file depot_map.h.

## Function Documentation

static DepotID GetDepotIndex | ( | TileIndex | t | ) |
| inlinestatic

Get the index of which depot is attached to the tile.

Parameters

  t | the tile

Precondition
  IsRailDepotTile(t) || IsRoadDepotTile(t) || IsShipDepotTile(t)

Returns
  DepotID

Definition at line 54 of file depot_map.h.

References _m, IsRailDepotTile(), IsRoadDepotTile(), IsShipDepotTile(), and Tile::m2.

Referenced by CheckIfTrainNeedsService(), RoadVehicle::FindClosestDepot(), Train::FindClosestDepot(), FixTTDDepots(), GetOrderCmdFromTile(), DepotWindow::OnClick(), DepotWindow::OnQueryTextFinished(), DepotWindow::SetStringParameters(), and Depot::~Depot().

static VehicleType GetDepotVehicleType | ( | TileIndex | t | ) |
| inlinestatic

Get the type of vehicles that can use a depot.

Parameters

  t | The tile

Precondition
  IsDepotTile(t)

Returns
  the type of vehicles that can use the depot

Definition at line 67 of file depot_map.h.

References GetTileType(), MP_RAILWAY, MP_ROAD, MP_STATION, MP_WATER, VEH_AIRCRAFT, VEH_ROAD, VEH_SHIP, and VEH_TRAIN.

Referenced by CmdBuildVehicle(), CmdRenameDepot(), and Depot::~Depot().

static bool IsDepotTile | ( | TileIndex | tile | ) |
| inlinestatic

Is the given tile a tile with a depot on it?

Parameters

  tile | the tile to check

Returns
  true if and only if there is a depot on the tile.

Definition at line 43 of file depot_map.h.

References IsHangarTile(), IsRailDepotTile(), IsRoadDepotTile(), and IsShipDepotTile().

Referenced by CmdBuildVehicle(), CmdDepotMassAutoReplace(), FixTTDDepots(), Vehicle::ShowVisualEffect(), and Depot::~Depot().